import request from '@/utils/request'

// 标签页分类
export function listAll() {
  return request({
    url: `/recommendCategory/listAll`,
    method: 'get'
  })
}

// 标签页分类内容
export function recommendList(query) {
  return request({
    url: `/admin/recommendContentModule/allContentList`,
    method: 'get',
    params: query
  })
}

// 内容列表
export function contentList(query) {
  return request({
    url: `/admin/recommendContentModule/list`,
    method: 'get',
    params: query
  })
}

// 保存分类下的某个模块
export function submit(data) {
  return request({
    url: `/admin/recommendContentModule/save`,
    method: 'post',
    data
  })
}

// 修改列表模块
export function moduleDetail(query) {
  return request({
    url: `/recommendCategoryModule/detail`,
    method: 'get',
    params: query
  })
}


// 音频内容列表
export function radioList(query) {
  return request({
    url: `/commonRadio/page`,
    method: 'get',
    params: query
  })
}

// 修改标题模块
export function moduleContent(data){
  return request({
    url: `/recommendCategoryModule/update`,
    method: 'post',
    data
  })
}

// 上下架
export function upOrDown(id, status){
  return request({
    url: `/admin/recommendContentModule/highOrSold/${id}/${status}`,
    method: 'get' 
  })
}
